@font-face {
  font-family: "Outfit";
  src: url("../fonts/fonts/Outfit-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/fonts/Outfit-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/fonts/Outfit-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/fonts/Outfit-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/fonts/Outfit-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
}

body {
  font-family: "Outfit", sans-serif !important;
  margin: 0px;
}

body.loader-active {
  overflow: hidden !important;
  position: fixed;
  width: 100%;
}

.loader-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(82, 79, 79, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

.btn-custom {
  width: 70px;
  min-height: 32px;
  border-radius: 6px !important;
  border: 1px solid #6e6e6e !important;
  transition: all 0.3s ease-in-out;
  font-weight: 500 !important;
}

.btn-outline-dark {
  border-radius: 8px !important;
  border: 1px solid #6e6e6e !important;
  transition: all 0.3s ease-in-out;
}

.btn-outline-dark:hover {
  background-color: #f3a227 !important;
  border: 1px solid #f3a227 !important;
  color: #fff !important;
  font-weight: 600 !important;
}

.coming-soon-btn {
  background-color: #7b6aff !important;
  border: 1px solid #7b6aff !important;
  border-radius: 8px !important;
  color: #fff !important;
  font-size: 16px !important;
  font-weight: 600 !important;
  display: flex;
  align-items: center;
  gap: 9px;
  padding: 5px 12px;
  min-height: 36px;
}

.review-star {
  color: #fea327 !important;
}

.btn-custom:hover {
  background-color: #f3a227 !important;
  border: 1px solid #f3a227 !important;
  color: #fff !important;
  font-weight: 600 !important;
}

/* Custom Bootstrap modal configuration styles */

.modal-header {
  flex-direction: column-reverse;
}

.modal-header .modal-close {
  border: 0px;
  background-color: transparent;
  margin-left: auto;
  font-size: 11px;
}

/* Navbar Styling */
.lt-navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  background-color: #fff;
  color: #000;
  min-height: 60px;
}

.nav-left .logo img {
  height: 30px;
  width: auto;
}

.nav-center .nav-links {
  display: flex;
  list-style: none;
  margin-bottom: 0;
}

.nav-center .nav-links li {
  margin: 0 15px;
}

.nav-center .nav-links a {
  color: #f3a227;
  text-decoration: none;
  font-size: 14px;
  font-weight: 600;
}

.nav-center .nav-links a:hover {
  color: #000;
}

.active-menu {
  color: #000 !important;
}

.hamburger {
  display: none;
  font-size: 24px;
  cursor: pointer;
}

.sidebar {
  position: fixed;
  top: 0;
  right: -300px;
  width: 250px;
  height: 100%;
  background-color: #fff;
  color: #000;
  transition: right 0.3s ease;
  z-index: 1000;
  box-shadow: -5px 0 10px rgba(0, 0, 0, 0.1);
}

.sidebar.active {
  right: 0;
}

.sidebar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
}

.sidebar-header .logo {
  font-size: 24px;
  font-weight: 700;
}

.sidebar-header .close-btn {
  font-size: 24px;
  cursor: pointer;
}

.sidebar-links {
  list-style: none;
  padding: 20px;
}

.sidebar-links li {
  margin: 15px 0;
}

.sidebar-links a {
  color: #f3a227;
  text-decoration: none;
  font-size: 16px;
  font-weight: 600;
}

.sidebar-links a:hover {
  color: #000;
}

.sidebar-links .login-btn {
  width: 100%;
  padding: 10px;
  margin-top: 10px;
}

.w-700 {
  font-weight: 700;
}

.w-600 {
  font-weight: 600;
}

.fw-500 {
  font-weight: 500;
}

.fw-300 {
  font-weight: 300;
}

.fs-14 {
  font-size: 14px;
}

.fs-16 {
  font-size: 16px;
}

.custom-item-group .list-group-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 0px;
}

.custom-item-group .list-group-item a {
  text-decoration: none;
}

.sticky-sidebar {
  position: sticky;
  top: 20px;
  border-right: 1px solid #cfcfcf;
}

html {
  scroll-behavior: smooth;
}

.lt-border {
  padding-bottom: 10px;
  border-bottom: 1px solid #cfcfcf;
}

.card-border {
  border: 1px solid #cfcfcf;
  border-radius: 24px;
  overflow: auto;
}

.form-label {
  font-weight: 400;
  font-size: 14px;
}

.abuse-modal .form-check-input {
  background-color: #f7f7f7;
  border: 1px solid #f2f2f2;
}

.abuse-modal .form-check-input:checked {
  background-color: #fea327 !important;
  border-color: #fea327 !important;
}

textarea.form-control {
  background-color: #f7f7f7;
}

textarea::placeholder {
  color: #6e6e6e;
  font-size: 14px;
}

.btn-yellow {
  min-height: 40px;
  background-color: #fea327;
  border: 1px solid #fea327;
  border-radius: 8px;
  padding: 8px 12px;
  color: #fff;
  box-shadow: 0px 8px 16px 0px #fea3273d;
}

.btn-yellow:hover {
  background-color: #fea427a4;
  color: #fff !important;
}

.form-control,
.form-select {
  border-color: #cfcfcf !important;
  border-radius: 8px !important;
  min-height: 40px;
  color: #667085 !important;
  font-weight: 300 !important;
}

.form-control:focus {
  border-color: #f3a227 !important;
  box-shadow: #f3a2274d 0px 0px 0px 0.25rem !important;
}

.form-select:focus {
  border-color: #f3a227 !important;
  box-shadow: #f3a2274d 0px 0px 0px 0.25rem !important;
}

.input-icon-group {
  position: relative;
  display: flex;
  align-items: center;
}

.input-icon-group img {
  position: absolute;
  left: 0.75rem;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
}

.icon-input {
  padding-left: 3rem !important;
}

/* Footer Styling */
footer {
  text-align: center;
  padding: 20px;
  background-color: #182241;
  color: #fff;
}

.footer-col-1 a {
  color: #d6d6d6;
  text-decoration: none;
  font-size: 13px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.footer-col-2 a,
.footer-col-3 a,
.footer-col-4 a {
  font-size: 12px;
  color: #d6d6d6;
  font-weight: normal;
  text-decoration: none;
}

.footer-col h5 {
  font-size: 15px;
  color: #fff;
  font-weight: 500;
}

.footer-col-1 li {
  padding-top: 3px;
  padding-bottom: 3px;
}

.footer-icon {
  height: 20px;
  width: auto;
}

.footer-logo {
  height: 32px;
  width: auto;
}

.home-review-section {
  background-color: #f9f9fb;
  min-height: 400px;
}

.review-card {
  min-height: 265px;
  background-color: #ffffff;
  border-radius: 12px;
  padding: 15px;
  box-shadow: 0px 4px 6px -2px #10182808;
  box-shadow: 0px 12px 16px -4px #10182814;
}

.user-profile p {
  color: #3c3c3c;
}

.review-card p {
  font-size: 12px;
  font-weight: 300;
}

.box-shadow {
  box-shadow: 0px 14px 32px 0px rgba(0, 0, 0, 0.15);
}

.disclaimer {
  font-size: 0.875rem;
}

.error-col p {
  font-weight: normal;
}

.error-col h1 {
  font-size: 2.5rem;
  font-weight: 700;
}

.lotly-banner {
  min-height: 230px;
  border-radius: 24px;
  padding: 40px;
  margin-top: 11rem;
  background-color: #182140;
  background-image: url("../img/lotly-banner-bg.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.lotly-banner-image {
  position: absolute;
  bottom: 45px;
  right: 45px;
}

.lotly-banner p {
  font-weight: 300;
  font-size: 16px;
  line-height: 140%;
}

.mt-9 {
  margin-top: 9rem !important;
}

/* media queries here  */

@media screen and (max-width: 575px) {
  .text-sm-center {
    text-align: center;
  }
  .align-items-sm-center {
    align-items: center !important;
  }
  .mt-mob-4 {
    margin-top: 4rem;
  }
  .status-header {
    flex-direction: column;
  }
  .lotly-banner-image {
    position: relative;
    bottom: 0px;
    right: 0px;
  }
  .mt-9 {
    margin-top: 5rem !important;
  }
  .home-page .pricing-title h1 {
    font-size: 2rem;
  }
}

@media screen and (max-width: 767px) {
  .nav-center,
  .nav-right {
    display: none;
  }

  .hamburger {
    display: block;
  }

  .nav-left .logo img {
    height: 30px;
  }

  .align-items-sm-center {
    align-items: center !important;
  }
  .text-sm-center {
    text-align: center;
  }
  .mt-mob-4 {
    margin-top: 4rem;
  }
  .status-header {
    flex-direction: column;
  }
  .lotly-banner-image {
    position: relative;
    bottom: 0px;
    right: 0px;
  }
  .mt-9 {
    margin-top: 5rem !important;
  }
  .home-page .pricing-title h1 {
    font-size: 2rem;
  }
}

@media screen and (min-width: 768px) {
  .align-items-sm-center {
    align-items: start !important;
  }
  .text-sm-center {
    text-align: start;
  }
  .mt-mob-4 {
    margin-top: 4rem;
  }
  .status-header {
    flex-direction: flex;
  }
  .lotly-banner-image {
    position: relative;
    bottom: 0px;
    right: 0px;
  }
  .mt-9 {
    margin-top: 5rem !important;
  }
  .home-page .pricing-title h1 {
    font-size: 2rem;
  }
}

@media screen and (min-width: 992px) {
  .align-items-sm-center {
    align-items: start !important;
  }
  .text-sm-center {
    text-align: start;
  }
  .mt-mob-4 {
    margin-top: 0rem;
  }
  .status-header {
    flex-direction: flex;
  }
  .lotly-banner-image {
    position: absolute;
    bottom: 45px;
    right: 45px;
  }
  .mt-9 {
    margin-top: 9rem !important;
  }
  .home-page .pricing-title h1 {
    font-size: 3rem;
  }
}

/* All animations here  */

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.fade-in {
  animation: fadeIn 0.5s ease-in-out forwards;
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.fade-in-up {
  animation: fadeInUp 0.5s ease forwards;
}

@keyframes fadeInDown {
  from {
    opacity: 0;
    transform: translateY(-20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.fade-in-down {
  animation: fadeInDown 0.5s ease forwards;
}

@keyframes fadeInLeft {
  from {
    opacity: 0;
    transform: translateX(-20px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.fade-in-left {
  animation: fadeInLeft 0.5s ease forwards;
}

@keyframes fadeInRight {
  from {
    opacity: 0;
    transform: translateX(20px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.fade-in-right {
  animation: fadeInRight 0.5s ease forwards;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.fade-out {
  animation: fadeOut 0.5s ease-in-out forwards;
}

@keyframes slideInLeft {
  from {
    transform: translateX(-100%);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}

.slide-in-left {
  animation: slideInLeft 0.5s ease-out forwards;
}

@keyframes slideInRight {
  from {
    transform: translateX(100%);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}

.slide-in-right {
  animation: slideInRight 0.5s ease-out forwards;
}

@keyframes slideInUp {
  from {
    transform: translateY(100%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.slide-in-up {
  animation: slideInUp 0.5s ease-out forwards;
}

@keyframes slideInDown {
  from {
    transform: translateY(-100%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.slide-in-down {
  animation: slideInDown 0.5s ease-out forwards;
}

@keyframes bounceIn {
  0% {
    transform: scale(0.8);
    opacity: 0;
  }
  50% {
    transform: scale(1.05);
    opacity: 1;
  }
  100% {
    transform: scale(1);
  }
}

.bounce-in {
  animation: bounceIn 0.6s ease forwards;
}

@keyframes rotateIn {
  from {
    transform: rotate(-180deg);
    opacity: 0;
  }
  to {
    transform: rotate(0);
    opacity: 1;
  }
}

.rotate-in {
  animation: rotateIn 0.7s ease forwards;
  transform-origin: center;
}
